"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("./FsPromise");
const core = require("./core");
var FileTokenizer_1 = require("./FileTokenizer");
exports.fromFile = FileTokenizer_1.fromFile;
var core_1 = require("./core");
exports.EndOfStreamError = core_1.EndOfStreamError;
exports.fromBuffer = core_1.fromBuffer;
/**
 * Construct ReadStreamTokenizer from given Stream.
 * Will set fileSize, if provided given Stream has set the .path property.
 * @param stream - Node.js Stream.Readable
 * @param fileInfo - Pass additional file information to the tokenizer
 * @returns Tokenizer
 */
async function fromStream(stream, fileInfo) {
    fileInfo = fileInfo ? fileInfo : {};
    if (stream.path) {
        const stat = await fs.stat(stream.path);
        fileInfo.path = stream.path;
        fileInfo.size = stat.size;
    }
    return core.fromStream(stream, fileInfo);
}
exports.fromStream = fromStream;
//# sourceMappingURL=index.js.map